FL4REC-API FLAM4 Record Interface (Windows and Linux conform with z/OS (MF-EDZ))

Data Fields
key_element Struct Reference
Data types

Defines a key element for index sequential access methods (VSAM-KSDS) More...

`#include <FL4REC.h>`

## Data Fields
U32 | KEYPOS
| Key position. More...
U32 | KEYLEN
| Length of the key in the record (minimum 1, default 8) More...
U32 | KEYTYP
| Data type: More...

## Detailed Description

Defines a key element for index sequential access methods (VSAM-KSDS)

## Field Documentation

## ◆ KEYPOS

U32 key_element::KEYPOS

Key position.

Byte offset where the key begins (starting at 1, default 1)

## ◆ KEYLEN

U32 key_element::KEYLEN

Length of the key in the record (minimum 1, default 8)

## ◆ KEYTYP

U32 key_element::KEYTYP

Data type:

- 0 = printable characters
- 1 = binary data

The documentation for this struct was generated from the following file:

- FL4REC.h